#include "rsa.h"

rsa_t rsa_init(size_t len) {
	rsa_t rsa;

	printf("Generating two primes of length %d bits\n", RSA_BLOCK_SIZE / 2);
	printf("Generating p...\n");
	rsa.p = bigint_prime(len / 2);
	printf("p = %u\n", rsa.p.data[0]);
	printf("Generating q...\n");
	rsa.q = bigint_prime(len / 2);
	printf("q = %u\n", rsa.q.data[0]);


	return rsa;
}

rsa_t rsa_generate_keys(size_t block_size) {
	size_t len = block_size / sizeof(uint32_t) / 8;
	rsa_t rsa = rsa_init(len);

	return rsa;
}
